Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.AlignmentFlag

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.AlignmentFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.AlignmentFlag

extends java.lang.Enum
implements QtEnumerator

This enum type is used to describe alignment. It contains horizontal and vertical flags that can be combined to produce the required effect.

The `TextElideMode` enum can also be used in many situations to fine-tune the appearance of aligned text.

The horizontal flags are: The vertical flags are: You can use only one of the horizontal flags at a time. There is one two-dimensional flag: You can use at most one horizontal and one vertical flag at a time. `Qt::AlignCenter` counts as both horizontal and vertical.

Three enum values are useful in applications that can be run in right-to-left mode: Masks: Conflicting combinations of flags have undefined meanings.

See Also:
  Serialized Form

Field Summary
`static Qt.AlignmentFlag` | `AlignAbsolute` If the widget's layout direction is `Qt::RightToLeft` (instead of `Qt::LeftToRight` , the default), `Qt::AlignLeft` refers to the right edge and `Qt::AlignRight` to the left edge.
`static Qt.AlignmentFlag` | `AlignBottom` Aligns with the bottom.
`static Qt.AlignmentFlag` | `AlignCenter` Centers in both dimensions.
`static Qt.AlignmentFlag` | `AlignHCenter` Centers horizontally in the available space.
`static Qt.AlignmentFlag` | `AlignHorizontal_Mask` Value: AlignHorizontal_Mask
`static Qt.AlignmentFlag` | `AlignJustify` Justifies the text in the available space.
`static Qt.AlignmentFlag` | `AlignLeft` Aligns with the left edge.
`static Qt.AlignmentFlag` | `AlignRight` Aligns with the right edge.
`static Qt.AlignmentFlag` | `AlignTop` Aligns with the top.
`static Qt.AlignmentFlag` | `AlignVCenter` Centers vertically in the available space.
`static Qt.AlignmentFlag` | `AlignVertical_Mask` Value: AlignVertical_Mask

Method Summary
`static Qt.Alignment` | `createQFlags(Qt.AlignmentFlag[] values)` This function creates a com.trolltech.qt.core.Qt$Alignment with the specified `com.trolltech.qt.core.Qt$AlignmentFlag[]` AlignmentFlag values set.
`static Qt.AlignmentFlag` | `resolve(int value)` Returns the AlignmentFlag constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.AlignmentFlag` | `valueOf(java.lang.String name)`
`static Qt.AlignmentFlag[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### AlignLeft

    public static final Qt.AlignmentFlag AlignLeft

  Aligns with the left edge.

### AlignRight

    public static final Qt.AlignmentFlag AlignRight

  Aligns with the right edge.

### AlignHCenter

    public static final Qt.AlignmentFlag AlignHCenter

  Centers horizontally in the available space.

### AlignJustify

    public static final Qt.AlignmentFlag AlignJustify

  Justifies the text in the available space.

### AlignAbsolute

    public static final Qt.AlignmentFlag AlignAbsolute

  If the widget's layout direction is `Qt::RightToLeft` (instead of `Qt::LeftToRight` , the default), `Qt::AlignLeft` refers to the right edge and `Qt::AlignRight` to the left edge. This is normally the desired behavior. If you want `Qt::AlignLeft` to always mean "left" and `Qt::AlignRight` to always mean "right", combine the flag with `Qt::AlignAbsolute` .

### AlignHorizontal_Mask

    public static final Qt.AlignmentFlag AlignHorizontal_Mask

  Value: AlignHorizontal_Mask

### AlignTop

    public static final Qt.AlignmentFlag AlignTop

  Aligns with the top.

### AlignBottom

    public static final Qt.AlignmentFlag AlignBottom

  Aligns with the bottom.

### AlignVCenter

    public static final Qt.AlignmentFlag AlignVCenter

  Centers vertically in the available space.

### AlignVertical_Mask

    public static final Qt.AlignmentFlag AlignVertical_Mask

  Value: AlignVertical_Mask

### AlignCenter

    public static final Qt.AlignmentFlag AlignCenter

  Centers in both dimensions.

Method Detail

### values

    public static Qt.AlignmentFlag[] values()

### valueOf

    public static Qt.AlignmentFlag valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.Alignment createQFlags(Qt.AlignmentFlag[] values)

  This function creates a com.trolltech.qt.core.Qt$Alignment with the specified `com.trolltech.qt.core.Qt$AlignmentFlag[]` AlignmentFlag values set.

### resolve

    public static Qt.AlignmentFlag resolve(int value)

  Returns the AlignmentFlag constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD